BEGIN;

INSERT INTO sql_version (version) VALUES (7);

ALTER TABLE devices RENAME TO tmp_devices;

CREATE TABLE devices (
	id INTEGER PRIMARY KEY ASC,
	sns_target_id INTEGER default 0,
	pkg_name TEXT default '',
	type TEXT default '',
	mobile_info TEXT default '',
	identity TEXT default '',
	uid INTEGER default 0,
	launch_url TEXT default '',
	status INTEGER default 0,
	mod_time INTEGER,
	endpoint TEXT default '',
	auth TEXT default '',
	p256dh TEXT default ''
);

INSERT INTO devices(sns_target_id, pkg_name, type, mobile_info, identity, uid, launch_url, status, mod_time, endpoint, auth, p256dh)
SELECT sns_target_id, pkg_name, type, mobile_info, identity, uid, launch_url, status, mod_time, endpoint, auth, p256dh
FROM tmp_devices;

UPDATE devices SET uid = 0 WHERE uid is null;
UPDATE devices SET launch_url = '' WHERE launch_url is null;
UPDATE devices SET endpoint = '' WHERE endpoint is null;
UPDATE devices SET auth = '' WHERE auth is null;
UPDATE devices SET p256dh = '' WHERE p256dh is null;

DROP TABLE tmp_devices;

COMMIT;
